Bug Hunting Session
Bug 61586 - LOCALHELP: Misleading for Ctrl+Down Arrow
Summary: LOCALHELP: Misleading for Ctrl+Down Arrow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2013-02-28 06:09 UTC by Rainer Bielefeld Retired
Modified: 2019-08-15 10:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-02-28 06:09:38 UTC
Steps how to reproduce with Server Installation of "LibO  4.0.2.0+   -  English UI / German Locale  [Build ID: 01f8d0a1dffce854a66c0f957e81e6df6d361a8)]"  {tinderbox: @6, pull time  2013-02-26 09:45:35} on German WIN7 Home Premium (64bit) with newly created user profile ….\LODev\4\:

Under "Shortcut Keys for Spreadsheets" - "Navigating in Spreadsheets" you see

Current Help
------------
Ctrl+Down Arrow: Moves the cursor to the bottom edge of the current data range. If the row below the cell that contains the cursor is empty, the cursor moves down to the next row that contains data.

Problems
--------
a) "current data range"? That can be confused with the "Data Range" Defined in Menu 'Data -> Define Range'. And where is defined that a data range is something with cells with contents? that's simpy wrong.
b) bottom end of range? Cell cursor will be moved down in column!
c) "If the row [...]  is empty": That is wrong, it does not matter whetner there is some contents in an other column of the row, only cells in the column with the cell cursor in it count.
d) what if cell cursor is around an empty cell?

Correct Help:
------------
Ctrl+Down Arrow: Moves the cursor down in column to the last of adjacent cells with contents. If the cell below the cursor is empty, the cursor moves down to the next cell that contains data. If the cell with cursor is empty, cursor  moves down in column to the first cell with contents. If the column below the cursor is empty the cursor will be moved down to last cell in the column.

This also has to be corrected correspondent for all other Ctrl+Arrow help in that table
Comment 2 QA Administrators 2015-12-20 16:13:27 UTC Comment hidden (spam)
Comment 3 QA Administrators 2017-01-03 19:48:41 UTC Comment hidden (obsolete, spam)
Comment 4 Commit Notification 2019-08-14 22:22:36 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/c564fc53c7a5c1e2839876998edd13a4dfba03d1%5E%21

tdf#61586 Correct usage of Ctrl+Arrows in Calc